"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const chalk_1 = require("chalk");
const child = require("child_process");
const fs = require("fs");
class Dev extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Dev);
        this.log();
        if (!fs.existsSync('./node_modules/powerbot-cms'))
            return this.log(chalk_1.default.red('\nNot in Powerbot CMS project.\n'));
        if (!args.module)
            return this.log(chalk_1.default.red('You need to select which server start. Run `powerbot help dev` for details.\n'));
        switch (args.module) {
            case 'chatbot':
                child.execSync('npm run dev', {
                    stdio: 'inherit'
                });
                process.exit(0);
                break;
            case 'cms':
                child.execSync('npm run dev', {
                    stdio: 'inherit',
                    cwd: `./node_modules/powerbot-cms`
                });
                process.exit(0);
                break;
            default:
                this.log(chalk_1.default.red('\nOnly `cms` and `chatbot` options are valid.\n'));
                process.exit(0);
                break;
        }
    }
}
Dev.description = 'Starts commands set for project development.\nAs module accepts `cms` or `chatbot`';
Dev.flags = {};
Dev.args = [{ name: 'module' }];
exports.default = Dev;
